Commit 046b6e6e authored by Tzafrir Cohen's avatar Tzafrir Cohen

Import content of subversion repository

parent 8f8acac7
#!/bin/sh
# Squeeze has an older debhelper:
sed -i -e '/^Build-Depends:/s/debhelper (>= 9)/debhelper (>= 8)/' debian/control
echo 8 >debian/compat
This diff is collapsed.
Source: libpri
Priority: optional
Section: libs
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Tzafrir Cohen <tzafrir@debian.org>, Faidon Liambotis <paravoid@debian.org>, Jeremy Lainé <jeremy.laine@m4x.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://www.asterisk.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-voip/libpri/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-voip/libpri/trunk/
Package: libpri-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libpri1.4 (= ${binary:Version})
Description: Primary Rate ISDN specification development files
Development files for the C implementation of the Primary Rate ISDN
specification.
.
It was based on the Bellcore specification SR-NWT-002343 for National
ISDN. As of May 12, 2001, it has been tested work with NI-2, Nortel
DMS-100, and Lucent 5E Custom protocols on switches from Nortel and Lucent.
Package: libpri1.4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Primary Rate ISDN specification library
C implementation of the Primary Rate ISDN specification. It was
based on the Bellcore specification SR-NWT-002343 for National ISDN. As of
May 12, 2001, it has been tested work with NI-2, Nortel DMS-100, and Lucent
5E Custom protocols on switches from Nortel and Lucent
This package was debianized by Mark Purcell <msp@debian.org> on
Wed, 2 Jul 2003 20:23:13 +1000.
It was downloaded from htp://ftp.digum.com/pub/libpri
Copyright Holder:
* Copyright (C) 2001-2005, Digium, Inc
License:
* This program is free software, distributed under the terms of
* the GNU General Public License Version 2 as published by the
* Free Software Foundation.
*
* In addition, when this program is distributed with Asterisk in
* any form that would qualify as a 'combined work' or as a
* 'derivative work' (but not mere aggregation), you can redistribute
* and/or modify the combination under the terms of the license
* provided with that copy of Asterisk, instead of the license
* terms granted here.
This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this package; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
On Debian systems, the complete text of the GNU General
Public License can be found in `/usr/share/common-licenses/GPL-2'.
usr/include/*
usr/lib/lib*.a
usr/lib/lib*.so
This diff is collapsed.
Description: disable utils that require dahdi
Author: Tzafrir Cohen <tzafrir@debian.org>
pridump and pritest are utilities that we currently don't install. They
require dahdi for building. They are not being installed. Let's not waste
time on them.
If you need them installed, remove this patch and and install dahdi-source
(dahdi/user.h) and libtonezone-dev (dahdi/tonezone.h).
--- a/Makefile
+++ b/Makefile
@@ -98,7 +98,7 @@ LDCONFIG_FLAGS = \# # Trick to comment o
#INSTALL_PREFIX = /opt/asterisk # Uncomment out to install in standard Solaris location for 3rd party code
endif
-UTILITIES= pridump pritest rosetest testprilib
+UTILITIES= rosetest testprilib
export PRIVERSION
Description: remove unneeded and obsolete CPU optimizations
Author: Faidon Liambotis <paravoid@debian.org>
We pass our own flags anyway, so such magic optimization flags are not
likely to help.
--- a/Makefile
+++ b/Makefile
@@ -104,22 +104,6 @@ export PRIVERSION
PRIVERSION:=$(shell GREP=$(GREP) AWK=$(AWK) build_tools/make_version .)
-#The problem with sparc is the best stuff is in newer versions of gcc (post 3.0) only.
-#This works for even old (2.96) versions of gcc and provides a small boost either way.
-#A ultrasparc cpu is really v9 but the stock debian stable 3.0 gcc doesnt support it.
-ifeq ($(PROC),sparc64)
-PROC=ultrasparc
-LIBPRI_OPT = -mtune=$(PROC) -O3 -pipe -fomit-frame-pointer -mcpu=v8
-else
- ifneq ($(CODE_COVERAGE),)
- LIBPRI_OPT=
- COVERAGE_CFLAGS=-ftest-coverage -fprofile-arcs
- COVERAGE_LDFLAGS=-ftest-coverage -fprofile-arcs
- else
- LIBPRI_OPT=-O2
- endif
-endif
-
ifeq ($(CPUARCH),i686)
CFLAGS += -m32
SOFLAGS += -m32
enable-gcc-optimizations
disable_dahdi
#!/usr/bin/make -f
# := as there's no configure script in the middle right now and we want
# to see explicit flags in the build log.
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
export CFLAGS LDFLAGS
%:
dh $@
get-orig-source:
uscan --force-download
.PHONY: get-orig-source
This diff is collapsed.
version=3
opts=dversionmangle=s/\~dfsg//,downloadurlmangle=s/.*ref=//,pgpsigurlmangle=s/$/.asc/ \
http://downloads.asterisk.org/pub/telephony/libpri/releases/ libpri-([0-9.]*)\.tar\.gz debian svn-upgrade
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment